package com.apus.taskmanager;
interface ICloudConfig{
	Map loadCloudConfig();
	String getValue(String key);
	void setValue(String key,String value);
	void addWrongProcessMapping(String pkg,String procName);
	boolean isMappingValid(String pkg,String procName);
	/**
	 *应用被杀死后，一分钟内就不要再扫出来了
	 * @timeoffset 表示冷却时间的
	 **/
	void setPkgCleaned(String pkg,long timeoffset);
	/**
	*判断包是否最近被清理过，
	*@param pkg 包名
	*@param running 是否正在运行
	*/
	boolean isStoppedRecently(String pkg,boolean running,long startTime);

    /**
     *记录每一次在强力加速界面上显示悬浮窗，用于判断后边是否要显示
     */
	void onShowAccessibilityDialog();
	boolean shouldShowAccessiblityDialog();
    /**
     *返回进程被清理的级别，用于确定该包应该如何显示
     * 主要是区分深度清理和普通清理
     */
	int getRestartLevel(String pkg);
}