package com.xman.device.cpu;

interface ICpuTemp{
	/**
	*获取Cpu的当前温度
	*/
	float getTemperature();
	/**
	*开始监控后台
	*/
	void startWatch();
	/**
	*提高温度监控的轮训频率
	*/
	void startImmediateWatch();
	/**
	*不再监控
	*/
	void stopWatch();
	/**
	*是否正在监控后台
	*/
	boolean isWatching();
	
	/**
	*清理结束后，记录下当前得温度值,冷却期间以此温度为准
	*/
	float refreshCoolDown(float temp);
	/*
	*即刻计算温度，不做等待,做了冷却后，可以从这里获取新温度
	*/
	float getImmediateTemperature();
	/**
	*降温是否已经过了冷却器
	*/
	boolean isCoolDown();
	/**
	*数据更新了，重新加载数据
	*/
	boolean reload();
}